# SYSCS_UTIL.SYSCS_CHECKPOINT_DATABASE system procedure

The `SYSCS_UTIL.SYSCS_CHECKPOINT_DATABASE` system procedure checkpoints the database by flushing all cached data to disk.

#### Syntax

    SYSCS_UTIL.SYSCS_CHECKPOINT_DATABASE()

No result is returned by this procedure.

#### JDBC example

    CallableStatement cs = conn.prepareCall
    ("CALL SYSCS_UTIL.SYSCS_CHECKPOINT_DATABASE()");
    cs.execute();
    cs.close();

#### SQL Example

    CALL SYSCS_UTIL.SYSCS_CHECKPOINT_DATABASE();

Parent topic: Built-in system procedures